UNIT mTManAutomat;

interface

//--------------------  ggf Uses-Liste anpassen !  --------------------
uses mTErkennenderAutomat;

type
   TManAutomat = CLASS(TErkennenderAutomat)

     // weitere Methoden
     public
        constructor Init; override;
        procedure GibEin (pEingabe: Char); override;

   end;

implementation

//+---------------------------------------------------------------------
//|         TTestAutomat: Methodendefinition 
//+---------------------------------------------------------------------

//-------- Init (public) -----------------------------------------------
constructor TManAutomat.Init;
begin
  AktuellerZustand := z0;
  FinalZustaende := [zman];
  ZustandsMenge := [z0,zm,zma,zman];
end;

//-------- GibEin (public) ---------------------------------------------
procedure TManAutomat.GibEin (pEingabe: Char);
begin
  case AktuellerZustand of
    z0:
    begin
      case pEingabe of
        'm': AktuellerZustand := zm;
      end;
    end;
    zm:
    begin
      case pEingabe of
        'm': AktuellerZustand := zm;
        'a': AktuellerZustand := zma;
      else
        AktuellerZustand := z0;
      end;
    end;
    zma:
    begin
      case pEingabe of
        'm': AktuellerZustand := zm;
        'n': AktuellerZustand := zman;
      else
        AktuellerZustand := z0;
      end;
    end;
  end;
end;

end.
