UNIT mTErkennenderAutomat;

interface

//--------------------  ggf Uses-Liste einfgen !  --------------------
//uses ....;

type
   TEingabealphabet = Char;
   TZustand = (z0,zm,zma,zman);
   TFinalZustaende = set of TZustand;
   TZustandsmenge = set of TZustand;

type
   TErkennenderAutomat = CLASS

     // weitere Attribute
     protected
         FinalZustaende : TFinalZustaende;
         AktuellerZustand : TZustand;
         ZustandsMenge : TZustandsmenge;

     // weitere Methoden
     public
        constructor Init; virtual; abstract;
        procedure GibEin (pEingabe: Char); virtual; abstract;
        procedure Reset; virtual;
        function IstAkzeptiert : Boolean; virtual;
        destructor GibFrei; virtual;

   end;

implementation

//+---------------------------------------------------------------------
//|         TErkennenderAutomat: Methodendefinition 
//+---------------------------------------------------------------------

//-------- Rest (public) -----------------------------------------------
procedure TErkennenderAutomat.Reset;
begin
  AktuellerZustand := z0;
end;

//-------- IstAkzeptiert (public) --------------------------------------
function TErkennenderAutomat.IstAkzeptiert : Boolean;
begin
  if AktuellerZustand in Finalzustaende then
    Result := True
  else
    Result := False;
end;

//-------- GibFrei (public) --------------------------------------------
destructor TErkennenderAutomat.GibFrei;
begin
end;

end.
